picocli

## Interface CommandLine.Model.IAnnotatedElement

Enclosing class:
  CommandLine.Model

    public static interface CommandLine.Model.IAnnotatedElement

Internal interface to allow annotation processors to construct a command model at compile time.

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`<T extends Annotation> T` `getAnnotation(Class<T> annotationClass)`
`int` `getMethodParamPosition()`
`String` `getMixinName()`
`String` `getName()`
`CommandLine.Model.IGetter` `getter()`
`String` `getToString()`
`CommandLine.Model.ITypeInfo` `getTypeInfo()`
`boolean` `hasInitialValue()`
`boolean` `isAnnotationPresent(Class<? extends Annotation> annotationClass)`
`boolean` `isArgGroup()`
`boolean` `isArgSpec()`
`boolean` `isInteractive()`
`boolean` `isMethodParameter()`
`boolean` `isMixin()`
`boolean` `isMultiValue()`
`boolean` `isOption()`
`boolean` `isParameter()`
`boolean` `isParentCommand()`
`boolean` `isSpec()`
`boolean` `isUnmatched()`
`CommandLine.Model.IScope` `scope()`
`CommandLine.Model.ISetter` `setter()`
`Object` `userObject()`

### Method Detail

#### userObject

    Object userObject()

#### isAnnotationPresent

    boolean isAnnotationPresent(Class<? extends Annotation> annotationClass)

#### getAnnotation

    <T extends Annotation> T getAnnotation(Class<T> annotationClass)

#### getName

    String getName()

#### getMixinName

    String getMixinName()

#### isArgSpec

    boolean isArgSpec()

#### isOption

    boolean isOption()

#### isParameter

    boolean isParameter()

#### isArgGroup

    boolean isArgGroup()

#### isMixin

    boolean isMixin()

#### isUnmatched

    boolean isUnmatched()

#### isSpec

    boolean isSpec()

#### isParentCommand

    boolean isParentCommand()

#### isMultiValue

    boolean isMultiValue()

#### isInteractive

    boolean isInteractive()

#### hasInitialValue

    boolean hasInitialValue()

#### isMethodParameter

    boolean isMethodParameter()

#### getMethodParamPosition

    int getMethodParamPosition()

#### scope

    CommandLine.Model.IScope scope()

#### getter

    CommandLine.Model.IGetter getter()

#### setter

    CommandLine.Model.ISetter setter()

#### getTypeInfo

    CommandLine.Model.ITypeInfo getTypeInfo()

#### getToString

    String getToString()